Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/40629/?format=api
{ "ob_id": 40629, "uuid": "c1091e99ca2d41fc846ec9bd71b4d09b", "title": "QA4ECV DHR-FAPAR level 3 (1982-2006)", "abstract": "Directional Hemispherical Reflectance (DHR) - Fraction of Absorbed Photosynthetically Active Radiation (FAPAR) products derived from daily spectral measurements acquired by Advanced Very High Resolution Radiometer (AVHRR) onboard a series of National Oceanic and Atmospheric Administration (NOAA) platforms. This work is done in the framework of the Quality Assurance For Essential Climate Variable (QA4ECV) project. The input data are the surface reflectance provided by the Land Long Term Data Record (LTDR) project.\r\n\r\nThese data are provided as time composite products of 10 days and monthly time periods at 0.05 degree resolution.", "keywords": "FAPAR", "publicationState": "working", "dataPublishedTime": null, "doiPublishedTime": null, "updateFrequency": "", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/40630/?format=api", "dataPath": "/neodc/qa4ecv/data/dhr_fapar/L3/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 130182811385, "numberOfFiles": 1199, "fileFormat": "These data are gzipped netCDF products." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/11276/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/529/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data are provided by the QA4ECV project for archival with CEDA. Data are in NetCDF format.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/25937/?format=api" ], "observationcollection_set": [], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/197694/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/197695/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/197696/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/197697/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/197698/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/197699/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/197700/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/197701/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/197702/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/197703/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": "https://api.catalogue.ceda.ac.uk/api/v2/composites/40641/?format=api", "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2528/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://creativecommons.org/licenses/by/4.0/", "licenceClassifications": "any" } ], "discoveryKeywords": [] }